import React from 'react';
import { createStore } from 'redux';
import { FormattedMessage, addLocaleData } from 'react-intl';
import cs from 'react-intl/locale-data/cs';

import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';

import translatable from '../../src/HOC/translatable';

addLocaleData([...cs]);

const ContentComponent = () => (
    <div>
        <h1><FormattedMessage id="foo" /></h1>
        <h2><FormattedMessage id="bar.baz" /></h2>
    </div>
);

const messages = {
    cs: {
        foo: 'Ano, ja jsem foo',
        'bar.baz': 'Ne, ja jsem bar baz',
    },
};

const initialState = {
    translate: { locale: 'cs' },
};
const store = createStore((state = initialState) => {
    return state;
});

storiesOf('Translatable', module)
    .add('simple', withInfo()(() => {
        const TranslatableComponent = translatable(messages)(ContentComponent);
        return <TranslatableComponent store={store} />;
    }));
